Bug 11795 - Use validation plugin when creating new Z39.50 server
Summary: Use validation plugin when creating new Z39.50 server
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/admin/z3950servers.pl?o...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-19 18:03 UTC by Owen Leonard
Modified: 2014-12-07 20:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11795 - Use validation plugin when creating new Z39.50 server (7.06 KB, patch)
2014-02-19 18:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11795 - Use validation plugin when creating new Z39.50 server (7.07 KB, patch)
2014-02-20 03:26 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11795 - Use validation plugin when creating new Z39.50 server (7.17 KB, patch)
2014-02-20 10:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-02-19 18:03:46 UTC
The new Z39.50 server entry form uses custom validation JavaScript which can be easily replaced with HTML5 validation attributes in conjunction with Koha's built-in validation plugin (http://jqueryvalidation.org/documentation/).
Comment 1 Owen Leonard 2014-02-19 18:10:50 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-02-20 03:26:42 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-02-20 10:32:34 UTC
Created attachment 25487 [details] [review]
Bug 11795 - Use validation plugin when creating new Z39.50 server

The page for adding a new Z39.50 server includes some custom form
validation JavaScript which can be removed in favor of HTML5 validation
attributes and Koha's built-in validation plugin. This patch does so.

To test, apply the patch and go to Administration -> Z39.50 client
targets -> New Z39.50 server. Try submitting the form with any of the
following error conditions:

- Missing Z39.50 server name
- Missing hostname
- Missing port
- Non-numeric port
- Missing database
- Non-numeric rank
- Non-numeric timeout

These errors should trigger a validation warning.

Submission of the form with valid data should work correctly. Editing
an existing Z39.50 server should also work correctly.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: replace tabs with spaces
Comment 4 Galen Charlton 2014-02-20 17:07:58 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Fridolin Somers 2014-05-21 08:05:36 UTC
Pushed to 3.14.x, will be in 3.14.07